Contact Us Copyright Privacy Accessibility Freedom of Information Act

This release contains the Prolog and C source code and the scripts necessary to build and modify MetaMap. The MetaMap Source Release currently runs on the following platforms:

In order to build the MetaMap Source release a number of packages are required. These include the following:

MetaMap 2011 Full Download
The full version of MetaMap 2011 must be downloaded from MetaMap 2011 Full Download and installed before installing the source code distribution, as described at the end of this section.
SICStus Prolog 4.2.1 or later
SICStus Prolog is a commercial product available from Swedish Institute of Computer Science (SICS) at
http://sicstus.sics.se/
GNU C Compiler
Available from http://gcc.gnu.org/. This should already be installed or be available as a package in your distribution if you're using Linux. If you're using Mac OS/X, the Apple Developer Tools include GCC. This should be provided on one of the distribution disks that is provided with the computer but can also be obtained from Apple Developer Tools Site ( http://developer.apple.com/technologies/tools/.
Java Runtime Environment (JRE) 1.6 or later
Java Software Development Kit (SDK) 1.6.0 or later is preferred but is not required for use of the MetaMap Source Code Suite. Java Runtime Environment (JRE 1.6) or later is the minimum required environment for running MetaMap. Java is available from the "Developer Resources for Java Technology" website (http://www.java.com/).
GNU Binutils
Available from http://www.gnu.org/software/binutils/. This software should already be installed or be available as a package in your distribution if you're using Linux. On Mac OS/X these are provided with the Apple Developer Tools mentioned in the previous section on GNU C Compiler.
GNU Make
Available from http://www.gnu.org/software/make/. This should already be installed or be available as a package in your distribution if you're using Linux or Mac OS/X. If you're using Solaris you can get it from sunfreeware.com (http://www.sunfreeware.com). See next item "Solaris specific prerequisites" for more information.
Berkeley DB 4.8.X
Berkeley DB should already be installed or be available as a package in your distribution if you're using Linux. Otherwise, it is available at the Oracle Berkeley DB Downloads Page. MetaMap 2010 uses Berkeley DB 4.8.24, but that release is no longer available from Oracle; according to SICS, however, a more recent version of 4.8.x should work, such as 4.8.30, which is still available.

Brief documentation on installing and using the MetaMap Source Release is available in the MetaMap Source Distribution README.

MetaMap Source Release Downloads